For the complete documentation index, see llms.txt. This page is also available as Markdown.

Konditionen

Konditionen abrufen

Version 1.0


get
Autorisierungen
OAuth2passwordErforderlich

Use username and password.

Token URL:
Abfrageparameter
apiKeystringOptional
Antworten
200

OK

LoanIdinteger · int32Optional
IdNumstring · nullableOptional
AnnuityHeaderIdinteger · int32 · nullableOptional
AnnuityPerMaturitynumber · decimal · nullableOptional
TermFromstring · dateOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
TermTostring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
LoanTermsTypeIdinteger · int32Optional
LoanTermsTypeCodestring · nullableOptional
Amountnumber · decimal · nullableOptional
Percentagenumber · decimal · nullableOptional
LoanBaseIdinteger · int32Optional
LoanBaseCodestring · nullableOptional
ChangeReasonCostItemIdinteger · int32Optional
ChangeReasonCostItemCodestring · nullableOptional
FirstMaturitystring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
NextMaturitystring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
FixedMaturitystring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
MaturityDateTypeIdinteger · int32Optional
MaturityDateTypeCodestring · nullableOptional
MaturityPeriodIdinteger · int32Optional
MaturityPeriodCodestring · nullableOptional
PeriodOfPerformanceFromIdinteger · int32Optional
PeriodOfPerformanceFromCodestring · nullableOptional
PeriodOfPerformanceToIdinteger · int32Optional
PeriodOfPerformanceToCodestring · nullableOptional
RoundingTypeIdinteger · int32Optional
RoundingTypeCodestring · nullableOptional
AmortizationSettingOffstring · date · nullableOptionalExample: 2026-10-15Pattern: \d{4}-(0[1-9]|1[012])-(0[1-9]|[12][0-9]|3[01])
IsSpecialRepaymentAmortizationbooleanOptional
get/openwowi/v1.0/Loans/LoanCondition
GET /openwowi/v1.0/Loans/LoanCondition HTTP/1.1
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "LoanId": 1,
    "IdNum": "text",
    "AnnuityHeaderId": 1,
    "AnnuityPerMaturity": 1,
    "TermFrom": "2026-10-15",
    "TermTo": "2026-10-15",
    "LoanTermsTypeId": 1,
    "LoanTermsTypeCode": "text",
    "Amount": 1,
    "Percentage": 1,
    "LoanBaseId": 1,
    "LoanBaseCode": "text",
    "ChangeReasonCostItemId": 1,
    "ChangeReasonCostItemCode": "text",
    "FirstMaturity": "2026-10-15",
    "NextMaturity": "2026-10-15",
    "FixedMaturity": "2026-10-15",
    "MaturityDateTypeId": 1,
    "MaturityDateTypeCode": "text",
    "MaturityPeriodId": 1,
    "MaturityPeriodCode": "text",
    "PeriodOfPerformanceFromId": 1,
    "PeriodOfPerformanceFromCode": "text",
    "PeriodOfPerformanceToId": 1,
    "PeriodOfPerformanceToCode": "text",
    "RoundingTypeId": 1,
    "RoundingTypeCode": "text",
    "AmortizationSettingOff": "2026-10-15",
    "IsSpecialRepaymentAmortization": true
  }
]

Ab Version 1.2 können die Konditionen über einen Parameter im Abruf des Darlehens eingeschlossen werden.

Zuletzt aktualisiert